import { PagesBuilder, pagesStorage } from "./PagesBuilder";
import { Middleware, Fallback } from "./interfaces";
export declare class PagesManager {
    fallbackHandler: Fallback;
    constructor();
    get middleware(): Middleware;
    /**
     * Функция для проверки наличия сборщика
     */
    static hasBuilder(builderId: string): boolean;
    /**
     * Метод для установки обработчика при отсутствии сборщика
     */
    onFallback(handler: Fallback): this;
}
export { PagesBuilder, pagesStorage };
