import { IMessageContextSendOptions } from "vk-io";
import { IPagesBuilderOptions } from "./pagesBuilder";
import { FunctionalKeyboard } from "./keyboard";
declare type ExtendedMessageContextOptions = IMessageContextSendOptions & {
    keyboard?: FunctionalKeyboard;
};
export declare type StringPage = string;
export declare type ObjectPage = ExtendedMessageContextOptions;
export declare type FunctionPage = (context: IPagesBuilderOptions["context"]) => StringPage | ObjectPage;
export declare type Page = StringPage | ObjectPage | FunctionPage;
export declare type PageSentMethod = "send_new" | "edit";
export interface IAutoGeneratePagesOptions {
    items: string[];
    countPerPage?: number;
}
export {};
