import { KeyboardBuilder } from "vk-io";
import { IPagesBuilderOptions } from "./pagesBuilder";
export declare type DefaultButtonAction = "first" | "back" | "stop" | "next" | "last";
export declare type DefaultButtonLabel = "⏪" | "◀️" | "⏹" | "▶️" | "⏩";
export declare type DefaultButtonsMap = Map<DefaultButtonAction, DefaultButtonLabel>;
export interface ISetDefaultButtonsOptions {
    buttons?: DefaultButtonAction[];
    type?: "text" | "callback";
}
export declare type FunctionalKeyboard = KeyboardBuilder | ((context: IPagesBuilderOptions["context"]) => KeyboardBuilder);
